org.appng.openapi.model

## Class ActionLinkAllOf

- java.lang.Object
- - org.appng.openapi.model.ActionLinkAllOf

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class ActionLinkAllOf
      extends Object

  ActionLinkAllOf

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_EVENT_ID`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_INTERACTIVE`
    `static String` | `JSON_PROPERTY_PARAMETERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionLinkAllOf()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionLinkAllOf` | `addParametersItem(Parameter parametersItem)`
    `boolean` | `equals(Object o)`
    `ActionLinkAllOf` | `eventId(String eventId)`
    `String` | `getEventId()` Event-ID of the action
    `String` | `getId()` ID of the action
    `Boolean` | `getInteractive()` Wether or not this action requires additional user-input
    `List<Parameter>` | `getParameters()` Get parameters
    `int` | `hashCode()`
    `ActionLinkAllOf` | `id(String id)`
    `ActionLinkAllOf` | `interactive(Boolean interactive)`
    `ActionLinkAllOf` | `parameters(List<Parameter> parameters)`
    `void` | `setEventId(String eventId)`
    `void` | `setId(String id)`
    `void` | `setInteractive(Boolean interactive)`
    `void` | `setParameters(List<Parameter> parameters)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_EVENT_ID

          public static final String JSON_PROPERTY_EVENT_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_INTERACTIVE

          public static final String JSON_PROPERTY_INTERACTIVE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PARAMETERS

          public static final String JSON_PROPERTY_PARAMETERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActionLinkAllOf

          public ActionLinkAllOf()

  - ### Method Detail

    - #### id

          public ActionLinkAllOf id(String id)

    - #### getId

          @Nullable
          public String getId()

      ID of the action
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### eventId

          public ActionLinkAllOf eventId(String eventId)

    - #### getEventId

          @Nullable
          public String getEventId()

      Event-ID of the action
      Returns:
        eventId

    - #### setEventId

          public void setEventId(String eventId)

    - #### interactive

          public ActionLinkAllOf interactive(Boolean interactive)

    - #### getInteractive

          @Nullable
          public Boolean getInteractive()

      Wether or not this action requires additional user-input
      Returns:
        interactive

    - #### setInteractive

          public void setInteractive(Boolean interactive)

    - #### parameters

          public ActionLinkAllOf parameters(List<Parameter> parameters)

    - #### addParametersItem

          public ActionLinkAllOf addParametersItem(Parameter parametersItem)

    - #### getParameters

          @Nullable
          public List<Parameter> getParameters()

      Get parameters
      Returns:
        parameters

    - #### setParameters

          public void setParameters(List<Parameter> parameters)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.